[![Build Status](https://travis-ci.org/laurentzziu/to_human.svg?branch=master)](https://travis-ci.org/laurentzziu/to_human)
[![Gem Version](https://badge.fury.io/rb/to_human.svg)](https://rubygems.org/gems/to_human)
[![Maintainability](https://api.codeclimate.com/v1/badges/9ff6d2f47b170f0b1e9b/maintainability)](https://codeclimate.com/github/laurentzziu/to_human/maintainability)
[![Test Coverage](https://api.codeclimate.com/v1/badges/9ff6d2f47b170f0b1e9b/test_coverage)](https://codeclimate.com/github/laurentzziu/to_human/test_coverage)

# to_human

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'to_human'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install to_human

## Usage

Call `#to_human` on `TrueClass`, `FalseClass` and `NilClass` objects for a "human" version of the value.

E.g.

```ruby
true.to_human # => "Yes"

false.to_human # => "No

nil.to_human # => "N\A"
```

For any other object, calling `#to_human` is an alias for `#to_s`

```ruby
1.to_human # => "1"

2.0.to_human # => "2.0"
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at [https://github.com/laurentzziu/to_human](https://github.com/laurentzziu/to_human). This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the to_human project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/laurentzziu/to_human/blob/master/CODE_OF_CONDUCT.md).
